Debian Bug report logs - #658450
autoconf2.13: autoscan.pl uses deprecated find.pl

version graph

Package: autoconf2.13; Maintainer for autoconf2.13 is Ben Pfaff <pfaffben@debian.org>; Source for autoconf2.13 is src:autoconf2.13.

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Fri, 3 Feb 2012 05:57:01 UTC

Severity: normal

Tags: patch

Found in version autoconf2.13/2.13-60

Fixed in version autoconf2.13/2.13-61

Done: Ben Pfaff <pfaffben@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Pfaff <pfaffben@debian.org>:
Bug#658450; Package autoconf2.13. (Fri, 03 Feb 2012 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to Ben Pfaff <pfaffben@debian.org>. (Fri, 03 Feb 2012 05:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: autoconf2.13: autoscan.pl uses deprecated find.pl
Date: Fri, 03 Feb 2012 07:52:39 +0200
[Message part 1 (text/plain, inline)]
Package: autoconf2.13
Version: 2.13-60
Severity: normal
Tags: patch

Hi,

autoscan.pl, as shipped by autoconf2.13 currently uses find.pl, a perl 4 era 
library, which is deprecated and will not be part of perl 5.16. Even now, now 
using autoscan.pl emits warnings about find.pl deprecation.

There are two ways to fix:

 * adopt autoscan.pl to use the File::Find module (also part of Perl core); the 
   attached patch implements this.
 * depend on libperl4-corelibs-perl | perl (<< 5.12.3-7), which would ensure 
   that find.pl is available either from the separate package (out of core) or 
   in a perl core version whithout depreaction warnings (useful for backports, 
   where libperl4-corelibs-perl is not available).

Thanks,
    dam

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[find.pl-to-File::Find.patch (text/x-diff, attachment)]

Reply sent to Ben Pfaff <pfaffben@debian.org>:
You have taken responsibility. (Sun, 05 Feb 2012 21:07:47 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sun, 05 Feb 2012 21:08:00 GMT) Full text and rfc822 format available.

Message #10 received at 658450-close@bugs.debian.org (full text, mbox):

From: Ben Pfaff <pfaffben@debian.org>
To: 658450-close@bugs.debian.org
Subject: Bug#658450: fixed in autoconf2.13 2.13-61
Date: Sun, 05 Feb 2012 21:02:32 +0000
Source: autoconf2.13
Source-Version: 2.13-61

We believe that the bug you reported is fixed in the latest version of
autoconf2.13, which is due to be installed in the Debian FTP archive:

autoconf2.13_2.13-61.debian.tar.gz
  to main/a/autoconf2.13/autoconf2.13_2.13-61.debian.tar.gz
autoconf2.13_2.13-61.dsc
  to main/a/autoconf2.13/autoconf2.13_2.13-61.dsc
autoconf2.13_2.13-61_all.deb
  to main/a/autoconf2.13/autoconf2.13_2.13-61_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Pfaff <pfaffben@debian.org> (supplier of updated autoconf2.13 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 03 Feb 2012 19:30:19 -0800
Source: autoconf2.13
Binary: autoconf2.13
Architecture: source all
Version: 2.13-61
Distribution: unstable
Urgency: low
Maintainer: Ben Pfaff <pfaffben@debian.org>
Changed-By: Ben Pfaff <pfaffben@debian.org>
Description: 
 autoconf2.13 - automatic configure script builder (obsolete version)
Closes: 658450
Changes: 
 autoconf2.13 (2.13-61) unstable; urgency=low
 .
   * autoscan.pl: Apply patch from Damyan Ivanov <dmn@debian.org> to avoid
     using deprecated and soon-to-disappear find.pl library.  Closes:
     #658450.
 .
   * Add build-indep and build-arch targets to debian/rules (suggested by
     lintian).
 .
   * Switch to 3.0 (quilt) source format.  I broke out some of the changes
     to upstream files into separate patches, but some work remains.
 .
   * debian/control: Remove Conflicts and Replaces against ancient autoconf
     package versions, which are no longer relevant since the newer
     autoconf was introduced in 2001.  Remove version requirements on
     texi2html and autoconf, whose versions are matched even by lenny
     versions of those programs.
 .
   * debian/watch: Add file containing only a comment explaining that this
     version of Autoconf is no longer maintained upstream.
 .
   * Add lintian override for ancient-autotools-helper-file error.
 .
   * Update to standards version 3.9.2.
Checksums-Sha1: 
 6f351e7bcb2146f447a670247df73da973829d5b 1743 autoconf2.13_2.13-61.dsc
 bae78c4650a6b353031fbcca5d08d86f6a447a1c 55887 autoconf2.13_2.13-61.debian.tar.gz
 aab9ea091344d0be01550ca1b39d3501c575561a 380050 autoconf2.13_2.13-61_all.deb
Checksums-Sha256: 
 06beef4eb5fbd9e65a4e79743aaccc7a95387a562ab24805cdb0fcdb47733dea 1743 autoconf2.13_2.13-61.dsc
 d2b8b8513b0a1c6e7af42d35a0ba7f90d6b087bbd83e14333bca222c63161cd8 55887 autoconf2.13_2.13-61.debian.tar.gz
 47e636c7242d49a34440a83dc50ee48cd2580ba159532bb04b3425afe9beafba 380050 autoconf2.13_2.13-61_all.deb
Files: 
 f2cfe18765ca6dbb1688bed6e6b2d326 1743 devel optional autoconf2.13_2.13-61.dsc
 622afa611516d41846e430ee1464d1fc 55887 devel optional autoconf2.13_2.13-61.debian.tar.gz
 1f51d3e4a39958a25622ce999103b716 380050 devel optional autoconf2.13_2.13-61_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPLuOVAAoJEIUZnejGZI6QI0cP/A+nsoW7SI9Se5gHJiWoqR3e
rTAXBLoJjOjg8KzSs2dUPLJKZhCR7UGnhvmakPaWjKQLFro4Qo3szZdFTSXmH/nv
yEexxXQnyhezLmvU2eHO9A66dGicU6B6OTYOYh5r4TVC6wVPSy/0smyXmoBnbNKa
XNQSFvo27JdIMjXBj+v9DCjYFEEXRR7rAKetWwzugp7zjM+r5S7Ew0iaCUdR5LMk
NQLaSGxL88g0pboSK18HRWpOiIdJgl2cBOfqXpI5Ue0JMbTRd+p41+Ggs8wqzo6F
4MfOOjub8LG39fxeEO9dNabnm4xBBnUHx+CMMYj9znfriu8fjYN7bQ4Znf2emZur
Tm2qV/EJdhY7tvhpjUyqDS99b6oAAJFHD27B4fgnLF8Xy4rPZUybLzEwIZ1ZeImZ
U1jkLskMn+3wOZfBm3RthCbLnV6R+rTPQqv2tnPfelBWnzRXEA7UyksqbWbY2l7F
1uu7wIGLCwSi6eEK5YpBn2f5Vl/NybtwjZRkAdLRP8WF381d6hkjb92/H/Fas2ET
FljhPezVSU9SjEHLHWmyQmL0etKByg2rsLDDzXUsiHQ4J/PZV693Vvl/bOWoIv4r
CeT2D8HdmDJ170E731vuogvHkpdn1MpzUSaNHtrg/fVjku2YbkvDzHEQTNo7ScoY
Dnc8xKAlR319Wsfjqxhz
=7+aR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Mar 2012 07:38:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:47:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.